Bug 30993 - /etc/nsswitch.conf doesn't have nis auth by default
/etc/nsswitch.conf doesn't have nis auth by default
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-07 16:03 EST by Dale Lovelace
Modified: 2016-11-24 10:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-07 16:14:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correct /etc/nsswitch.conf (816 bytes, patch)
2001-03-07 16:05 EST, Dale Lovelace
no flags Details | Diff

  None (edit)
Description Dale Lovelace 2001-03-07 16:03:13 EST
In versions of Red Hat up until 7.0 /etc/nsswitch.conf has included "nis"
as a authentication method. In Wolverine it leaves nis out. This breaks
anyone with a Red Hat Linux nis server.
Comment 1 Dale Lovelace 2001-03-07 16:05:41 EST
Created attachment 12028 [details]
Patch to correct /etc/nsswitch.conf
Comment 2 Bill Nottingham 2001-03-07 16:14:32 EST
How? 

If you select NIS authentication on install, it is added. There's really
no sense in trying to have it authenticate NIS when it's not configured.
Comment 3 Jakub Jelinek 2001-03-08 13:00:17 EST
In fact, the original nsswitch.conf in glibc rpm includes nis, it is the
installer which removes them based on your selection.
Comment 4 Dale Lovelace 2001-03-08 13:10:06 EST
Ahhhh, I see. Well, shouldn't the "Workstation" method of installation give you
the chance to configure NIS during the install?

Note You need to log in before you can comment on or make changes to this bug.